Bug 901834 - xchat input textbox not visible with default fedora 18 theme (gtk+ = adwaita)
Summary: xchat input textbox not visible with default fedora 18 theme (gtk+ = adwaita)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-19 15:35 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2013-03-02 12:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 07:07:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Kai Engert (:kaie) (inactive account) 2013-01-19 15:35:49 UTC
Upgraded to Fedora 18, started xchat.

The input textbox (for typing text) was shown as white background with white font, so nothing was visible when typing.

I propose to fix that and make it readable. Can you help find the right component for this bug?

(I believe I never played with different themes in the past. Right now, in order to fix my system, I installed the zukiwi-gtk2-theme and selected that.)

Comment 1 Kai Engert (:kaie) (inactive account) 2013-01-19 18:25:32 UTC
(In reply to comment #0)
> 
> (I believe I never played with different themes in the past. Right now, in
> order to fix my system, I installed the zukiwi-gtk2-theme and selected that.)

(had to switch to gtk+ theme zukitow, because in zukiwi the toolbarbutton-dropdown-menu wasn't readable (dark gray on black))

Comment 2 Chris Feist 2013-01-31 20:14:59 UTC
I fixed this issue, but unchecking "Use the Text box font and colors" in the 'Input box' section of 'Interface' in the xchat preferences.  And then restarted xchat.

Comment 3 Kai Engert (:kaie) (inactive account) 2013-02-04 19:36:25 UTC
Chris, thanks for posting the workaround. However, I still think it should be fixed in general.

The problem isn't limited to xchat, I had seen at least one additional program which had an unreadable input box (forget which one it was).

(I've meanwhile switched to "radiance" gtk+ theme in my attempt to find one that has readable colors everywhere.)

Comment 4 Fedora Update System 2013-02-25 17:23:23 UTC
gnome-themes-standard-3.6.5-1.fc18,gtk2-2.24.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnome-themes-standard-3.6.5-1.fc18,gtk2-2.24.16-1.fc18

Comment 5 Fedora Update System 2013-02-27 02:45:31 UTC
Package gnome-themes-standard-3.6.5-1.fc18, gtk2-2.24.16-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-themes-standard-3.6.5-1.fc18 gtk2-2.24.16-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3155/gnome-themes-standard-3.6.5-1.fc18,gtk2-2.24.16-1.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-02-28 07:07:56 UTC
gnome-themes-standard-3.6.5-1.fc18, gtk2-2.24.16-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Kai Engert (:kaie) (inactive account) 2013-03-02 12:47:56 UTC
I confirm it's fixed.
Thank you very much!


Note You need to log in before you can comment on or make changes to this bug.